#
# const.rb
#
#   Copyright (c) 1999-2002 Minero Aoki <aamine@loveruby.net>
#
#   This program is free software.
#   you can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#
#   $Id: const.rb,v 1.2 2002/01/05 06:19:34 aamine Exp $
#

class Module

  def const( name, val )
    eval <<-End, nil, __FILE__, __LINE__ + 1
        @@__const_#{name} = val
        def #{name}
          @@__const_#{name}
        end
    End
  end

end
